Bug 498748 - Review Request: rpmdepsize - A tool for visualizing RPM dependencies
Review Request: rpmdepsize - A tool for visualizing RPM dependencies
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guido Grazioli
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-02 14:08 EDT by Susi Lehtola
Modified: 2009-06-15 22:03 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.0-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-15 21:22:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
guido.grazioli: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2009-05-02 14:08:32 EDT
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/rpmdepsize.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/rpmdepsize-1.0-2.fc10.src.rpm

Description:
rpmdepsize is an interactive graphical tool for visualizing the size
of RPM dependencies.

It's useful for shaming RPMs that have too many dependencies or pull
in large amounts of data because of indirect dependencies.


rpmlint is silent.
Comment 1 Guido Grazioli 2009-05-10 05:14:20 EDT
OK - rpmlint output
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
OK - The package must be named according to the Package Naming Guidelines.
OK - The spec file name must match the base package %{name}
OK - The package must meet the Packaging Guidelines
OK - If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc
OK - The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines (license is GPLv3+)
NA - Every binary RPM package which stores shared library files must
call ldconfig in %post and %postun 
OK - The package MUST successfully compile and build
koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1344884
OK - The spec file must be written in American English.
OK - The spec file for the package MUST be legible.
OK - The sources used to build the package must match the upstream source, as
provided in the spec URL. 
bf2b5cd4ce82a9b851ed51529621d3eef6b09408  rpmdepsize-1.0.tar.gz
NA - The spec file MUST handle locales properly (no translations)
NA - package not relocatable
OK - A package must own all directories that it creates
OK - A Fedora package must not list a file more than once in the spec file's
%files listings
OK - Permissions on files must be set properly
OK - Each package must have a %clean section
OK - Each package must consistently use macros
== you could use %{name} when removing execstack and in %files too
OK - The package must contain code, or permissable content (no content)
NA - Large documentation files must go in a -doc subpackage (no large doc)
OK - If a package includes something as %doc, it must not affect the runtime of
the application
NA - Header files must be in a -devel package (no devel package)
NA - Static libraries must be in a -static package (no static package)
NA - Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
OK - Packages must NOT contain any .la libtool archives
NEEDSWORK - Packages containing GUI applications MUST include a .desktop file 
== there's no desktop file
OK - No file conflicts with other packages and no general names.
OK - At the beginning of %install, each package MUST run rm -rf %{buildroot}
OK - All filenames in rpm packages must be valid UTF-8
OK - The package does not yet exist in Fedora. The Review Request is not a
duplicate.
OK - %{?dist} tag is used in release


Hello Jussi, if you add the desktop file i think we are done
Comment 3 Guido Grazioli 2009-05-15 11:20:36 EDT
Latest koji build: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1356256

Note: for the next version you could consider choosing a stock icon and maybe add MimeType to the desktop entry.

This package is APPROVED.
Comment 4 Richard W.M. Jones 2009-05-15 11:27:46 EDT
Should I [upstream] be looking at any patches?

It's also possible I can push this to an open, public repository
if people are interested in making serious contributions and/or
pushing the project in new directions.
Comment 5 Susi Lehtola 2009-05-15 11:49:21 EDT
(In reply to comment #4)
> Should I [upstream] be looking at any patches?
> 
> It's also possible I can push this to an open, public repository
> if people are interested in making serious contributions and/or
> pushing the project in new directions.  

You can maybe ask for the Fedora Artwork team to make an icon for this.

Do you want to (co)/maintain?
Comment 6 Susi Lehtola 2009-05-15 11:51:27 EDT
(In reply to comment #3)
> Latest koji build: 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=1356256
> 
> Note: for the next version you could consider choosing a stock icon and maybe
> add MimeType to the desktop entry.

Good job on the review. Keep up the good work!
Comment 7 Richard W.M. Jones 2009-05-15 11:54:06 EDT
Sure, I don't mind co-maintaining.
Comment 8 Susi Lehtola 2009-05-15 11:59:58 EDT
Well, when you make a new release upstream you can push it in Fedora as well :)


New Package CVS Request
=======================
Package Name: rpmdepsize
Short Description: A tool for visualizing RPM dependencies
Owners: rjones, jussilehtola
Branches: F-10 F-11
InitialCC:
Comment 9 Kevin Fenzi 2009-05-15 19:54:46 EDT
cvs done.
Comment 10 Fedora Update System 2009-05-16 04:11:56 EDT
rpmdepsize-1.0-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rpmdepsize-1.0-3.fc10
Comment 11 Fedora Update System 2009-05-16 04:14:00 EDT
rpmdepsize-1.0-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rpmdepsize-1.0-3.fc11
Comment 12 Fedora Update System 2009-05-18 22:04:00 EDT
rpmdepsize-1.0-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmdepsize'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5096
Comment 13 Fedora Update System 2009-05-18 22:04:43 EDT
rpmdepsize-1.0-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmdepsize'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5101
Comment 14 Fedora Update System 2009-06-15 21:21:56 EDT
rpmdepsize-1.0-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-06-15 22:03:47 EDT
rpmdepsize-1.0-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.